Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
SelectionQueue Class Reference
Inheritance diagram for SelectionQueue:

## Public Member Functions
| __init__ (self, parentNP=None)
| addCollider (self, collider)
| addUnpickable (self, item)
| collideWithBitMask (self, bitMask)
| collideWithGeom (self)
| collideWithWidget (self)
| findCollisionEntry (self, skipFlags=SKIP_NONE, startIndex=0)
| findNextCollisionEntry (self, skipFlags=SKIP_NONE)
| getCurrentEntry (self)
| isEntryBackfacing (self, entry)
| removeUnpickable (self, item)
| setCurrentEntry (self, entry)
| setCurrentIndex (self, index)
| setParentNP (self, parentNP)

## Public Attributes
| collider = collider
| collisionNode = self.collisionNodePath.node()
| collisionNodePath = NodePath(CollisionNode("collisionNP"))
| ct = CollisionTraverser("DirectSelection")
| entry = None
int | index = -1
| skipFlags = SKIP_NONE
| unpickable = UNPICKABLE

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parentNP = None )

## Member Function Documentation

## ◆ addCollider()

addCollider | ( |  | self,
|  |  | collider )

Reimplemented in SelectionSegment, and SelectionSphere.

## ◆ addUnpickable()

addUnpickable | ( |  | self,
|  |  | item )

## ◆ collideWithBitMask()

collideWithBitMask | ( |  | self,
|  |  | bitMask )

## ◆ collideWithGeom()

collideWithGeom | ( |  | self | ) |

## ◆ collideWithWidget()

collideWithWidget | ( |  | self | ) |

## ◆ findCollisionEntry()

findCollisionEntry | ( |  | self,
|  |  | skipFlags = SKIP_NONE,
|  |  | startIndex = 0 )

## ◆ findNextCollisionEntry()

findNextCollisionEntry | ( |  | self,
|  |  | skipFlags = SKIP_NONE )

## ◆ getCurrentEntry()

getCurrentEntry | ( |  | self | ) |

## ◆ isEntryBackfacing()

isEntryBackfacing | ( |  | self,
|  |  | entry )

Reimplemented in SelectionSphere.

## ◆ removeUnpickable()

removeUnpickable | ( |  | self,
|  |  | item )

## ◆ setCurrentEntry()

setCurrentEntry | ( |  | self,
|  |  | entry )

## ◆ setCurrentIndex()

setCurrentIndex | ( |  | self,
|  |  | index )

## ◆ setParentNP()

setParentNP | ( |  | self,
|  |  | parentNP )

## Member Data Documentation

## ◆ collider

collider = collider

## ◆ collisionNode

collisionNode = self.collisionNodePath.node()

## ◆ collisionNodePath

collisionNodePath = NodePath(CollisionNode("collisionNP"))

## ◆ ct

ct = CollisionTraverser("DirectSelection")

## ◆ entry

entry = None

## ◆ index

int index = -1

## ◆ skipFlags

skipFlags = SKIP_NONE

## ◆ unpickable

unpickable = UNPICKABLE